MultiPointSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.MultiPointSender interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Interface MultiPointSender

All Superinterfaces:
  DataSender

All Known Implementing Classes:
  MultipointBioSender, ParallelNioSender, PooledMultiSender, PooledParallelSender, PooledSender

    public interface MultiPointSender

extends DataSender

Since:
  5.5.16
Version:
  $Revision: 532800 $ $Date: 2007-04-26 18:52:29 +0200 (Thu, 26 Apr 2007) $
Author:
  Filip Hanik

Method Summary
`void` | `add(Member member)`
`void` | `remove(Member member)`
`void` | `sendMessage(Member[] destination, ChannelMessage data)`
`void` | `setDirectBuffer(boolean directBuf)`
`void` | `setMaxRetryAttempts(int attempts)`
`void` | `setRxBufSize(int size)`
`void` | `setTxBufSize(int size)`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`connect, disconnect, getConnectTime, getRequestCount, isConnected, keepalive, setKeepAliveCount, setKeepAliveTime, setTimeout`

Method Detail

### sendMessage

    void sendMessage(Member[] destination,
                     ChannelMessage data)
                     throws ChannelException

  Throws:
    `ChannelException`

### setRxBufSize

    void setRxBufSize(int size)

  Specified by:
    `setRxBufSize` in interface `DataSender`

### setTxBufSize

    void setTxBufSize(int size)

  Specified by:
    `setTxBufSize` in interface `DataSender`

### setMaxRetryAttempts

    void setMaxRetryAttempts(int attempts)

### setDirectBuffer

    void setDirectBuffer(boolean directBuf)

### add

    void add(Member member)

### remove

    void remove(Member member)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.